BooleanClause.Occur (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.BooleanClause.Occur class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class BooleanClause.Occur

    java.lang.Object
      org.apache.lucene.util.Parameter
          org.apache.lucene.search.BooleanClause.Occur

All Implemented Interfaces:
  Serializable

Enclosing class:
  BooleanClause

    public static final class BooleanClause.Occur

extends Parameter
implements Serializable

Specifies how clauses are to occur in matching documents.

See Also:
  Serialized Form

Field Summary
`static BooleanClause.Occur` | `MUST` Use this operator for clauses that must appear in the matching documents.
`static BooleanClause.Occur` | `MUST_NOT` Use this operator for clauses that must not appear in the matching documents.
`static BooleanClause.Occur` | `SHOULD` Use this operator for clauses that should appear in the matching documents.

Method Summary
`String` | `toString()`

Methods inherited from class org.apache.lucene.util.Parameter
`readResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MUST

    public static final BooleanClause.Occur MUST

  Use this operator for clauses that must appear in the matching documents.

### SHOULD

    public static final BooleanClause.Occur SHOULD

  Use this operator for clauses that should appear in the matching documents. For a BooleanQuery with no `MUST` clauses one or more `SHOULD` clauses must match a document for the BooleanQuery to match.

  See Also:
    `BooleanQuery.setMinimumNumberShouldMatch(int)`

### MUST_NOT

    public static final BooleanClause.Occur MUST_NOT

  Use this operator for clauses that must not appear in the matching documents. Note that it is not possible to search for queries that only consist of a `MUST_NOT` clause.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Parameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.